﻿#language: ru

Функционал: 10_milk_scenario.02.003 Приемка молока по качеству, наша и не наша машины

Сценарий: 10_milk_scenario.02.003 Приемка молока по качеству. Не наша машина
	Дано Я подключаюсь под "Лаборант приемки молока"
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке "Параметры"
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'	
	И я нажимаю кнопку выбора у поля "РабочийЦентр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Молоко' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "ВидАнализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Показатели МДЖ МДБ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле 'ДатаСмены' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно "Смены"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем "ФормаВыбрать"
	Тогда открылось окно 'Приемка молока по качеству *'
	И в поле 'Автомобиль' я ввожу текст '456авв'
	И в поле 'Водитель' я ввожу текст 'Иванов О.'
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Пункт сборки"
	Тогда открылось окно 'Пункты сборки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Пункт сборки (создание)'
	И в поле 'Наименование' я ввожу текст 'Пункт 1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Пункт сборки (создание)' в течение 20 секунд
	Тогда открылось окно 'Пункты сборки'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '453453'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '45345343'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 250,000'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Заявлено"
	Тогда открылось окно 'Показатели, заявленные поставщиком Поставщик 1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,500'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,240'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'       |
		| 'Плотность молока' |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1027,200'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          |
		| 'Поставщик2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '5696987'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '8767'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 250,000'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Заявлено"
	Тогда открылось окно 'Показатели, заявленные поставщиком Поставщик2'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'       |
		| 'Плотность молока' |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1026,200'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я завершаю редактирование строки
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,300'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'       |
		| 'Плотность молока' |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1027,200'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Распределить разницу'
	И я перехожу к закладке "Добавить"
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'Поставщик 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Пункт сборки"
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Пункт 1'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '853435'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '54534534'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 000,000'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №2'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,500'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'       |
		| 'Плотность молока' |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1027,100'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Записать'
	И Я закрываю окно 'Приемка молока по качеству'
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "Документ"
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я активизирую поле "Дата"
	И в таблице "Список" я перехожу к строке:
		| 'Водитель'  | 'Автомобиль' | 'Статус'              |
		| 'Иванов О.' | '456авв'     | 'Принято по качеству' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке "Секция №1"
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '54345345'
	И я нажимаю на кнопку 'Записать'
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 10_milk_scenario.02.003 Приемка молока по качеству. Наша машина
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке "Параметры"
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "РабочийЦентр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Молоко' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "ВидАнализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Показатели МДЖ МДБ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я устанавливаю флаг 'Подбирать анализы поставщиков'
	И я нажимаю кнопку выбора у поля "ВидАнализаМикробиологический"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'Микробиология молока'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле 'ДатаСмены' я ввожу текст '12.03.2019'
	И из выпадающего списка "Наш" я выбираю точное значение 'Наш'
	И я нажимаю кнопку выбора у поля "Автомобиль"
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я перехожу к строке:
		| 'Государственный номер' | 'Автомобиль'  |
		| 'Н453РУ'             | 'Н453РУ Камаз' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в поле "ВремяВыполненияАнализов" я уменьшаю значение
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Пункт сборки"
	Тогда открылось окно 'Пункты сборки'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Пункт 1'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '453453'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '45345343'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 250,000'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Заявлено"
	Тогда открылось окно 'Показатели, заявленные поставщиком Поставщик 1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,500'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,240'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          |
		| 'Поставщик2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '5696987'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '8767'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 250,000'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Заявлено"
	Затем я жду, что в сообщениях пользователю будет подстрока "Не указаны значения показателей" в течение 30 секунд
	И я очищаю окно сообщений пользователю
	И в таблице "ТоварыЗаявлено" я перехожу к строке:
		| 'Поставщик'  |
		| 'Поставщик2' |
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Пункт сборки"
	Тогда открылось окно "Пункты сборки"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'д.Остино'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'	
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Заявлено"		
	Тогда открылось окно 'Показатели, заявленные поставщиком Поставщик2'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я завершаю редактирование строки
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,300'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Распределить разницу'
	И я перехожу к закладке "Добавить"
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Пункт сборки"
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Пункт 1'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '853435'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '54534534'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 000,000'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №2'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,500'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Записать'
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 10_milk_scenario.02.003 Закрытие клиента тестирования Лаборант приемки
	И я закрываю сеанс TESTCLIENT